#include <iostream.h>
#include "Patrat.h"

Punct::Punct(int x, int y)
{
   coordx=x;
   coordy=y;
   cout << "\n Constructor clasa Punct cu x= " << coordx << " y= " << coordy;
}

Punct::~Punct()
{
   cout << "\n Destructor clasa Punct cu x= " << coordx << " y= " << coordy <<"  ";
}

Patrat::Patrat():st_jos(0, 1), dr_jos(1, 1), dr_sus(1, 0)
{
   cout << "\n Constructor clasa Patrat";
}
Patrat::~Patrat()
{
   cout << "\n Destructor clasa Patrat";
}

void main()
{
   Patrat p;
   cout <<"\n";
}
